1

Is there any restriction to PermissionSetGroups in Unlocked Packages?

saulo_XXXXX@SAULOS-MBP commerciallending % sfdx force:package:version:create \
--package "XXXXXXXX" \
--path force-app \
--installationkey "XXXXXXXXXXXXXX" \
--wait 10 \
--targetdevhubusername XXXXXXXX-devhub

Result:

ERROR running force:package:version:create:  These entities are not supported: [PermissionSetGroup]

The project has only two changes: A Permission set called "Account_Create"; A Permission set group called "CL_Admin"

Here it is the source code of the project: https://github.com/sauloefo/NsOrg1

1 Answer 1

1

The Metadata Coverage is a great resource for checking this type of information.

You'll see that PermissionSetGroup has a note for Unlocked Packaging:

Requires package without a namespace.

Looking at your github, it seems you do have a namespace which is why you're getting that error that the entity is not supported.

enter image description here

1
  • many thanks my friend! Super handy document I didn't know it exists!
    – Saulo
    Sep 24, 2021 at 15:13

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .